SystemOrganization addCategory: #'Seaside-Swazoo'!

!WAPackage class methodsFor: '*seaside-swazoo' stamp: 'lr 12/18/2008 20:28'!
seasideSwazoo
	^ self new
		name: 'Seaside-Swazoo';
		description: 'A small set of Swazoo 2 extensions to make it run Seaside';
		yourself! !

HTTPSetCookieField subclass: #WorkingHTTPSetCookieField
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Swazoo'!

!WorkingHTTPSetCookieField commentStamp: 'pmm 7/30/2008 18:06' prior: 0!
A WorkingHTTPSetCookieField is a working implementation of HTTPSetCookieField. The problem with HTTPSetCookieField is that Swazoo developers think it is more important to be compliant with philosophical principles than Firefox and Internet Explorer. The HTTP spec says that any multi valued header field can legally be combined with a ','. But Firefox and Internet Explorer don't support this because the value of set cookie header can legally contain a ','. So this implementaion does not combine set cookie headers. This allows you to set multiple cookies with one response.!

WorkingHTTPSetCookieField subclass: #WorkingHTTPSetCookie2Field
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Swazoo'!

!WorkingHTTPSetCookie2Field commentStamp: 'pmm 7/30/2008 17:44' prior: 0!
A WorkingHTTPSetCookie2Field is a Set-Cookie2 header field, currently only suported by Opera.
!

!WorkingHTTPSetCookie2Field class methodsFor: 'accessing' stamp: 'pmm 7/30/2008 17:38'!
fieldName
	^'Set-Cookie2'! !

!WorkingHTTPSetCookieField methodsFor: 'printing' stamp: 'lr 2/4/2009 08:02'!
crlfOn: aStream 
	aStream crlf! !

!WorkingHTTPSetCookieField methodsFor: 'printing' stamp: 'pmm 7/30/2008 17:58'!
printOn: aStream
	self cookies
		do: [ :each | self printValue: each on: aStream ]
		separatedBy: [ self crlfOn: aStream ]
	! !

!WorkingHTTPSetCookieField methodsFor: 'printing' stamp: 'pmm 7/30/2008 17:50'!
printValue: aString on: aStream
	aStream
		nextPutAll: self name;
		nextPutAll: ': '.
	aStream nextPutAll: aString! !

Site subclass: #WAPlugableSite
	instanceVariableNames: 'handler'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Swazoo'!

!WAPlugableSite class methodsFor: 'instance creation' stamp: 'pmm 11/8/2008 13:00'!
named: aString on: aHandler
	^self new
		name: aString;
		initializeWithHandler: aHandler;
		yourself! !

!WAPlugableSite methodsFor: 'serving' stamp: 'lr 2/15/2009 17:59'!
answerTo: aSwazooRequest
	^ handler process: aSwazooRequest! !

!WAPlugableSite methodsFor: 'serving-private' stamp: 'pmm 11/5/2008 16:41'!
helpResolve: aResolution 
	(self canAnswer and: [ aResolution siteMatch: self ]) ifFalse: [^nil].
	^self answerTo: aResolution request! !

!WAPlugableSite methodsFor: 'initialization' stamp: 'pmm 11/5/2008 16:43'!
initializeWithHandler: aHandler
	handler := aHandler! !
